Index: LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90	(revision 5272)
@@ -9,4 +9,6 @@
   USE control_mod, ONLY : planet_type
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   IMPLICIT NONE
   !
@@ -46,6 +48,4 @@
   !    0.  Declarations :
   !    ------------------
-  !
-  include "paramet.h"
   include "comgeom.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90	(revision 5272)
@@ -11,4 +11,6 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !=======================================================================
@@ -30,7 +32,4 @@
   !   Declarations:
   !   -------------
-
-
-  include "paramet.h"
   include "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/advect_new_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advect_new_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/advect_new_mod.f90	(revision 5272)
@@ -17,5 +17,6 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  IMPLICIT NONE
   TYPE(distrib),POINTER :: d
 
Index: LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5272)
@@ -22,8 +22,10 @@
    USE strings_mod, ONLY: int2str
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
    !
 
-   include "paramet.h"
+
    include "comdissip.h"
    include "comgeom2.h"
Index: LMDZ6/trunk/libf/dyn3dmem/advtrac_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advtrac_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/advtrac_mod.f90	(revision 5272)
@@ -11,7 +11,9 @@
   USE vlspltgen_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  INCLUDE "paramet.h"
+
   TYPE(distrib),POINTER :: d
     
Index: LMDZ6/trunk/libf/dyn3dmem/allocate_field_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/allocate_field_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/allocate_field_mod.f90	(revision 5272)
@@ -1,3 +1,10 @@
 MODULE allocate_field_mod
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+
+  IMPLICIT NONE; PRIVATE
+  PUBLIC allocate_u, switch_u, switch_v, allocate_v, allocate2d_u, allocate2d_v, &
+          switch2d_u, switch2d_v, init_nan
 
   INTERFACE allocate_u
@@ -158,5 +165,5 @@
   SUBROUTINE allocate1d_u2d(field,d)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:)
   TYPE(distrib),INTENT(IN) :: d
@@ -174,5 +181,6 @@
   SUBROUTINE allocate2d_u2d(field,dim1,d)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:,:)
   INTEGER      :: dim1
@@ -190,5 +198,6 @@
   SUBROUTINE allocate3d_u2d(field,dim1,dim2,d)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:,:,:)
   INTEGER      :: dim1,dim2
@@ -208,5 +217,6 @@
   SUBROUTINE allocate1d_v2d(field,d)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:)
   TYPE(distrib),INTENT(IN) :: d
@@ -224,5 +234,6 @@
   SUBROUTINE allocate2d_v2d(field,dim1,d)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:,:)
   INTEGER      :: dim1
@@ -240,5 +251,6 @@
   SUBROUTINE allocate3d_v2d(field,dim1,dim2,d)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:,:,:)
   INTEGER      :: dim1,dim2
@@ -505,5 +517,6 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:)
   TYPE(distrib),INTENT(IN) :: old_dist
@@ -541,5 +554,6 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:,:)
   TYPE(distrib),INTENT(IN) :: old_dist
@@ -577,5 +591,6 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:,:,:)
   TYPE(distrib),INTENT(IN) :: old_dist
@@ -616,5 +631,6 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:)
   TYPE(distrib),INTENT(IN) :: old_dist
@@ -652,5 +668,6 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:,:)
   TYPE(distrib),INTENT(IN) :: old_dist
@@ -688,5 +705,6 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+
+  IMPLICIT NONE
   REAL,POINTER :: field(:,:,:,:)
   TYPE(distrib),INTENT(IN) :: old_dist
Index: LMDZ6/trunk/libf/dyn3dmem/bernoui_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/bernoui_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/bernoui_loc.f90	(revision 5272)
@@ -3,4 +3,6 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -26,5 +28,5 @@
   !
 
-  include "paramet.h"
+
   !
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5272)
@@ -20,8 +20,10 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-  include "paramet.h"
+
   include "comgeom2.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5272)
@@ -18,4 +18,6 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
@@ -31,5 +33,5 @@
 
 
-  include "paramet.h"
+
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/caladvtrac_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caladvtrac_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/caladvtrac_mod.f90	(revision 5272)
@@ -35,7 +35,9 @@
   USE groupe_mod 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  INCLUDE "paramet.h"
+
   TYPE(distrib),POINTER :: d
 
Index: LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90	(revision 5272)
@@ -9,4 +9,6 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -28,5 +30,5 @@
 
 
-  include "paramet.h"
+
   include "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/caldyn_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caldyn_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/caldyn_mod.f90	(revision 5272)
@@ -15,5 +15,5 @@
 
 
-  
+
 CONTAINS
 
@@ -22,5 +22,8 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE advect_new_mod,ONLY : advect_new_allocate
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE advect_new_mod, ONLY : advect_new_allocate
   IMPLICIT NONE
   TYPE(distrib),POINTER :: d
@@ -40,9 +43,9 @@
     CALL allocate_v(massebxy,llm,d)
     CALL allocate_u(convm,llm,d)
-    
+
     CALL advect_new_allocate
-    
+
   END SUBROUTINE caldyn_allocate
-  
+
   SUBROUTINE caldyn_switch_caldyn(dist)
   USE allocate_field_mod
@@ -65,10 +68,10 @@
     CALL switch_v(massebxy,distrib_caldyn,dist)
     CALL switch_u(convm,distrib_caldyn,dist)
-    
+
     CALL advect_new_switch_caldyn(dist)
-    
+
   END SUBROUTINE caldyn_switch_caldyn
-  
 
-  
-END MODULE caldyn_mod  
+
+
+END MODULE caldyn_mod
Index: LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90	(revision 5272)
@@ -36,5 +36,8 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE infotrac, ONLY: nqtot
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE infotrac, ONLY: nqtot
   IMPLICIT NONE
     TYPE(distrib),POINTER :: d
@@ -71,5 +74,8 @@
   SUBROUTINE call_calfis(itau,lafin,ucov_dyn,vcov_dyn,teta_dyn,masse_dyn,ps_dyn, &
                          phis_dyn,q_dyn,flxw_dyn)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  use exner_hyb_loc_m, only: exner_hyb_loc
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE exner_hyb_loc_m, only: exner_hyb_loc
   use exner_milieu_loc_m, only: exner_milieu_loc
   USE parallel_lmdz
Index: LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90	(revision 5272)
@@ -24,5 +24,8 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE dissip_mod, ONLY : dissip_allocate
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE dissip_mod, ONLY : dissip_allocate
   IMPLICIT NONE
     TYPE(distrib),POINTER :: d
@@ -79,5 +82,8 @@
   
   SUBROUTINE call_dissip(ucov_dyn,vcov_dyn,teta_dyn,p_dyn,pk_dyn,ps_dyn)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE parallel_lmdz
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE parallel_lmdz
   USE times
   USE mod_hallo
Index: LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 5272)
@@ -24,4 +24,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !-----------------------------------------------------------------------
@@ -40,5 +42,5 @@
   !   --------------
 
-  include "paramet.h"
+
   include "comdissnew.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90	(revision 5272)
@@ -17,8 +17,10 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   REAL :: xflu,yflu,convfl,convpn,convps
   INTEGER :: l,ij,nbniv
Index: LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90	(revision 5272)
@@ -9,7 +9,9 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90	(revision 5272)
@@ -8,7 +8,9 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90	(revision 5272)
@@ -8,7 +8,9 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90	(revision 5272)
@@ -2,4 +2,6 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -17,7 +19,4 @@
   !
   !=======================================================================
-
-
-  INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90	(revision 5272)
@@ -5,4 +5,6 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -20,7 +22,4 @@
   !
   !=======================================================================
-
-
-  INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5272)
@@ -10,4 +10,6 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -32,5 +34,5 @@
 
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "comdissnew.h"
Index: LMDZ6/trunk/libf/dyn3dmem/dissip_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dissip_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/dissip_mod.f90	(revision 5272)
@@ -9,5 +9,6 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE gradiv2_mod, ONLY : gradiv2_allocate
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE gradiv2_mod, ONLY : gradiv2_allocate
   USE nxgraro2_mod, ONLY : nxgraro2_allocate
   USE divgrad2_mod, ONLY : divgrad2_allocate
Index: LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5272)
@@ -11,4 +11,6 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
@@ -23,5 +25,5 @@
   !   ---------------------------------------------------------------------
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90	(revision 5272)
@@ -10,4 +10,6 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
@@ -22,5 +24,5 @@
   !   ---------------------------------------------------------------------
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90	(revision 5272)
@@ -11,4 +11,6 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
@@ -23,5 +25,5 @@
   !   ---------------------------------------------------------------------
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90	(revision 5272)
@@ -15,8 +15,10 @@
   USE divgrad2_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom2.h"
   INCLUDE "comdissipn.h"
Index: LMDZ6/trunk/libf/dyn3dmem/divgrad2_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/divgrad2_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/divgrad2_mod.f90	(revision 5272)
@@ -9,5 +9,6 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  IMPLICIT NONE
     TYPE(distrib),POINTER :: d
     d=>distrib_dissip
Index: LMDZ6/trunk/libf/dyn3dmem/dteta1_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dteta1_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/dteta1_loc.f90	(revision 5272)
@@ -4,4 +4,6 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -20,9 +22,4 @@
   !
   !=======================================================================
-
-
-
-  include "paramet.h"
-
   REAL :: teta( ijb_u:ije_u,llm )
   REAL :: pbaru( ijb_u:ije_u,llm ),pbarv( ijb_v:ije_v,llm)
Index: LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90	(revision 5272)
@@ -2,4 +2,6 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
@@ -19,5 +21,5 @@
 
 
-  INCLUDE "paramet.h"
+
 
   REAL :: vorpot( ijb_v:ije_v,llm ) ,pbaru( ijb_u:ije_u,llm ) , &
Index: LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90	(revision 5272)
@@ -2,4 +2,6 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
@@ -24,7 +26,4 @@
   !=======================================================================
   !
-
-  include "paramet.h"
-
   REAL :: teta( ijb_u:ije_u,llm ),pkf( ijb_u:ije_u,llm )
   REAL :: bern( ijb_u:ije_u,llm )
Index: LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5272)
@@ -25,7 +25,9 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "description.h"
Index: LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5272)
@@ -23,7 +23,9 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "description.h"
@@ -178,7 +180,9 @@
   
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "description.h"
   include "comgeom.h"
Index: LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90	(revision 5272)
@@ -1,5 +1,7 @@
 MODULE dynredem_mod
-
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE parallel_lmdz
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE parallel_lmdz
   USE mod_hallo
   USE netcdf
@@ -9,5 +11,4 @@
   CHARACTER(LEN=256), SAVE :: fil, modname
   INTEGER,            SAVE :: nvarid
-
 
 CONTAINS
@@ -58,5 +59,5 @@
 !$OMP END MASTER
 !$OMP BARRIER
-  
+
 END SUBROUTINE dynredem_write_u
 !
@@ -108,5 +109,5 @@
 !$OMP END MASTER
 !$OMP BARRIER
-  
+
 END SUBROUTINE dynredem_write_v
 !
@@ -154,5 +155,5 @@
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
   DO l=1,ll; var(:,l)=var_tmp(:,l); END DO
-    
+
 !$OMP BARRIER
 !$OMP MASTER
@@ -160,6 +161,6 @@
 !$OMP END MASTER
 !$OMP BARRIER
-  
-END SUBROUTINE dynredem_read_u    
+
+END SUBROUTINE dynredem_read_u
 !
 !===============================================================================
@@ -265,6 +266,6 @@
 !===============================================================================
 
-END MODULE dynredem_mod   
-
-    
-    
+END MODULE dynredem_mod
+
+
+
Index: LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90	(revision 5272)
@@ -7,7 +7,9 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5272)
@@ -39,8 +39,10 @@
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
     !
 
-    include "paramet.h"
+
     include "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90	(revision 5272)
@@ -35,8 +35,10 @@
     
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
     !
 
-    include "paramet.h"
+
     include "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90	(revision 5272)
@@ -7,7 +7,9 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5272)
@@ -17,4 +17,6 @@
   !
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
@@ -29,5 +31,5 @@
 
 
-  include "paramet.h"
+
   include "tracstoke.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5272)
@@ -9,5 +9,7 @@
   USE comconst_mod, ONLY: pi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  IMPLICIT NONE
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+IMPLICIT NONE
 
   !=======================================================================
@@ -23,5 +25,5 @@
   !=======================================================================
 
-  include "paramet.h"
+
   include "comgeom2.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5272)
@@ -26,7 +26,7 @@
   USE mod_xios_dyn3dmem, ONLY: xios_dyn3dmem_init
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
-
-
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -60,6 +60,4 @@
   !   Declarations:
   !   -------------
-
-  include "paramet.h"
   include "comdissnew.h"
   include "comgeom.h"
Index: LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90	(revision 5272)
@@ -2,7 +2,7 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
-
-
   !=======================================================================
   !
@@ -24,9 +24,4 @@
   !=======================================================================
   !-----------------------------------------------------------------------
-  !   Declarations:
-  !   -------------
-
-
-  include "paramet.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90	(revision 5272)
@@ -27,4 +27,6 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !-----------------------------------------------------------------------
@@ -33,5 +35,5 @@
 
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5272)
@@ -27,4 +27,6 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !-----------------------------------------------------------------------
@@ -33,5 +35,5 @@
 
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90	(revision 5272)
@@ -12,8 +12,10 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INTEGER :: klevel
   REAL :: pg( ijb_u:ije_u,klevel )
Index: LMDZ6/trunk/libf/dyn3dmem/grad_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/grad_p.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/grad_p.f90	(revision 5272)
@@ -12,8 +12,10 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INTEGER :: klevel
   REAL :: pg( ip1jmp1,klevel )
Index: LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5272)
@@ -20,8 +20,10 @@
   USE gradiv2_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   INCLUDE "comdissipn.h"
Index: LMDZ6/trunk/libf/dyn3dmem/gradiv2_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gradiv2_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/gradiv2_mod.f90	(revision 5272)
@@ -11,5 +11,6 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  IMPLICIT NONE
     TYPE(distrib),POINTER :: d
     d=>distrib_dissip
Index: LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5272)
@@ -6,4 +6,6 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
@@ -20,5 +22,5 @@
 
 
-  include "paramet.h"
+
   include "comgeom2.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90	(revision 5272)
@@ -13,7 +13,9 @@
   USE advtrac_mod, ONLY : advtrac_allocate 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  INCLUDE "paramet.h"
+
   TYPE(distrib),POINTER :: d
 
Index: LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90	(revision 5272)
@@ -4,8 +4,10 @@
   USE comconst_mod, ONLY: ngroup
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-  include "paramet.h"
+
   include "comgeom2.h"
 
@@ -139,8 +141,10 @@
   USE comconst_mod, ONLY: ngroup
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-  include "paramet.h"
+
   include "comgeom2.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90	(revision 5272)
@@ -19,5 +19,7 @@
   USE pres2lev_mod, only: pres2lev
 
-  IMPLICIT NONE
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+IMPLICIT NONE
 
 ! ---------------------------------------------
@@ -84,5 +86,5 @@
 
 
-    INCLUDE "paramet.h"
+
 
     INTEGER                :: error,ncidpl,rid,rcod
@@ -371,8 +373,10 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-    INCLUDE "paramet.h"
+
 
     ! Variables entree
@@ -732,7 +736,9 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-    INCLUDE "paramet.h"
+
 
     ! input variables
@@ -756,7 +762,9 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-    INCLUDE "paramet.h"
+
 
     ! input variables
@@ -782,8 +790,10 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-    INCLUDE "paramet.h"
+
     INCLUDE "comgeom.h"
 
@@ -855,8 +865,10 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-    INCLUDE "paramet.h"
+
     INCLUDE "comgeom.h"
 
@@ -928,8 +940,10 @@
   USE comvert_mod, ONLY: preff, pressure_exner, bp, ap, disvert_type
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-  include "paramet.h"
+
   include "comgeom2.h"
 
@@ -1417,8 +1431,10 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
 
-    include "paramet.h"
+
     include "comgeom2.h"
 
@@ -1585,7 +1601,9 @@
     USE netcdf, ONLY: nf90_put_var
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-    include "paramet.h"
+
 
     INTEGER, INTENT(IN)   :: timestep
@@ -1903,7 +1921,9 @@
     USE netcdf, ONLY: nf90_put_var
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-    include "paramet.h"
+
 
     INTEGER, INTENT(IN)   :: timestep
@@ -2182,8 +2202,10 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-    INCLUDE "paramet.h"
+
     INCLUDE "comgeom2.h"
 
@@ -2405,7 +2427,9 @@
 use mod_hallo
 USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-include 'paramet.h'
+
 
       CHARACTER (len=*) :: varname
@@ -2436,7 +2460,9 @@
 subroutine dumpall
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-     include "paramet.h"
+
      include "comgeom.h"
      call barrier
Index: LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5272)
@@ -28,4 +28,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -34,5 +36,5 @@
 
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "academic.h"
Index: LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5272)
@@ -18,4 +18,6 @@
 
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
@@ -46,5 +48,5 @@
   !   Declarations
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "description.h"
Index: LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5272)
@@ -17,4 +17,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
@@ -47,5 +49,5 @@
   !   Declarations
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "description.h"
Index: LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5272)
@@ -17,4 +17,6 @@
 
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
@@ -44,5 +46,5 @@
   !   Declarations
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "description.h"
Index: LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5272)
@@ -17,4 +17,6 @@
   USE strings_mod, ONLY: int2str
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -36,5 +38,5 @@
 
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90	(revision 5272)
@@ -13,5 +13,8 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE advect_new_mod,ONLY : advect_new_allocate
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE advect_new_mod,ONLY : advect_new_allocate
   IMPLICIT NONE
   TYPE(distrib),POINTER :: d
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5272)
@@ -13,8 +13,10 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5272)
@@ -12,8 +12,10 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5272)
@@ -13,8 +13,10 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5272)
@@ -11,8 +11,10 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5272)
@@ -40,5 +40,7 @@
    USE strings_mod, ONLY: int2str
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -73,8 +75,5 @@
   !   Declarations:
   !   -------------
-
-
-  include "paramet.h"
-  include "comdissnew.h"
+   include "comdissnew.h"
   include "comgeom.h"
   include "description.h"
Index: LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90	(revision 5272)
@@ -39,5 +39,8 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE infotrac
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE infotrac
   USE caldyn_mod,ONLY : caldyn_allocate
   USE integrd_mod,ONLY : integrd_allocate
Index: LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5272)
@@ -8,7 +8,9 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5272)
@@ -8,7 +8,9 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5272)
@@ -15,8 +15,10 @@
   !
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  include "paramet.h"
+
   include "comgeom.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90	(revision 5272)
@@ -14,4 +14,6 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -57,5 +59,5 @@
     !
 
-    INCLUDE "paramet.h"
+
     INCLUDE "coefils.h"
     !
Index: LMDZ6/trunk/libf/dyn3dmem/mod_hallo.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/mod_hallo.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/mod_hallo.f90	(revision 5272)
@@ -68,5 +68,8 @@
 
   subroutine Init_mod_hallo
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE IOIPSL
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE IOIPSL
     implicit none
     integer :: jj_nb_gather(0:mpi_size-1)
@@ -214,5 +217,6 @@
   
   subroutine Register_SendField(Field,ij,ll,offset,size,target,a_request)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  implicit none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  implicit none
 
     
@@ -229,5 +233,6 @@
       
   subroutine Register_RecvField(Field,ij,ll,offset,size,target,a_request)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  implicit none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  implicit none
 
    
@@ -245,5 +250,8 @@
   
   subroutine Register_SwapField(FieldS,FieldR,ij,ll,jj_Nb_New,a_request)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      implicit none
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+            ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+      implicit none
 
     
@@ -292,5 +300,7 @@
   
   subroutine Register_SwapFieldHallo(FieldS,FieldR,ij,ll,jj_Nb_New,Up,Down,a_request)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+            ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
       implicit none
     
@@ -345,5 +355,6 @@
   SUBROUTINE Register_SwapField1d_u(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -369,5 +380,6 @@
   SUBROUTINE Register_SwapField1d_u_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -395,5 +407,6 @@
   SUBROUTINE Register_SwapField2d_u1d(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm    IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -422,5 +435,6 @@
   SUBROUTINE Register_SwapField2d_u1d_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm    IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -451,5 +465,6 @@
   SUBROUTINE Register_SwapField3d_u(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -478,5 +493,6 @@
   SUBROUTINE Register_SwapField3d_u_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -618,5 +634,6 @@
   SUBROUTINE Register_SwapField3d_u2d(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -645,5 +662,6 @@
   SUBROUTINE Register_SwapField3d_u2d_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -679,5 +697,6 @@
   SUBROUTINE Register_SwapField1d_v(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -703,5 +722,6 @@
   SUBROUTINE Register_SwapField1d_v_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -729,5 +749,6 @@
   SUBROUTINE Register_SwapField2d_v1d(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
    
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -756,5 +777,6 @@
   SUBROUTINE Register_SwapField2d_v1d_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
    
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -786,5 +808,6 @@
   SUBROUTINE Register_SwapField3d_v(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -813,5 +836,6 @@
   SUBROUTINE Register_SwapField3d_v_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -844,5 +868,6 @@
   SUBROUTINE Register_SwapField1d_v2d(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist !LF
@@ -868,5 +893,6 @@
   SUBROUTINE Register_SwapField1d_v2d_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist !LF
@@ -894,5 +920,6 @@
   SUBROUTINE Register_SwapField2d_v2d(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -921,5 +948,6 @@
   SUBROUTINE Register_SwapField2d_v2d_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -950,5 +978,6 @@
   SUBROUTINE Register_SwapField3d_v2d(FieldS,FieldR,new_dist,a_request,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -977,5 +1006,6 @@
   SUBROUTINE Register_SwapField3d_v2d_bis(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+      IMPLICIT NONE
     
     TYPE(distrib),INTENT(IN)          :: new_dist
@@ -1006,6 +1036,9 @@
 
   SUBROUTINE Register_SwapField_gen_u(FieldS,FieldR,ll,old_dist,new_dist,Up,Down,a_request)
-  USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm      IMPLICIT NONE
+    USE parallel_lmdz
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+            ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+      IMPLICIT NONE
    
     INTEGER :: ll,Up,Down
@@ -1059,5 +1092,8 @@
   SUBROUTINE Register_SwapField_gen_v(FieldS,FieldR,ll,old_dist,new_dist,Up,Down,a_request)
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm    IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    IMPLICIT NONE
     
     INTEGER :: ll,Up,Down
@@ -1117,5 +1153,6 @@
   
   subroutine Register_Hallo(Field,ij,ll,RUp,Rdown,SUp,SDown,a_request)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE lmdz_mpi
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE lmdz_mpi
       implicit none
 
@@ -1181,5 +1218,6 @@
 
   subroutine Register_Hallo_u(Field,ll,RUp,Rdown,SUp,SDown,a_request)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE lmdz_mpi
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE lmdz_mpi
       implicit none
       INTEGER :: ll
@@ -1243,5 +1281,6 @@
 
   subroutine Register_Hallo_v(Field,ll,RUp,Rdown,SUp,SDown,a_request)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  USE lmdz_mpi
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE lmdz_mpi
       implicit none
       INTEGER :: ll
@@ -1305,5 +1344,8 @@
     
     subroutine SendRequest(a_Request)
-    USE dimensions_mod, ONLY: iim, jjm, llm, ndm    USE lmdz_mpi
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE lmdz_mpi
       implicit none
 
@@ -1422,5 +1464,8 @@
    
    subroutine WaitRequest(a_Request)
-   USE dimensions_mod, ONLY: iim, jjm, llm, ndm   USE lmdz_mpi
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE lmdz_mpi
    implicit none
       
@@ -1507,5 +1552,6 @@
    subroutine WaitSendRequest(a_Request)
    USE lmdz_mpi
-   USE dimensions_mod, ONLY: iim, jjm, llm, ndm   implicit none
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   implicit none
    
       type(request),target :: a_request
@@ -1553,5 +1599,8 @@
     
    subroutine WaitRecvRequest(a_Request)
-   USE dimensions_mod, ONLY: iim, jjm, llm, ndm   USE lmdz_mpi
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE lmdz_mpi
    implicit none
       type(request),target :: a_request
@@ -1624,4 +1673,6 @@
     subroutine CopyField(FieldS,FieldR,ij,ll,jj_Nb_New)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
       implicit none
     
@@ -1660,5 +1711,7 @@
 
   subroutine CopyFieldHallo(FieldS,FieldR,ij,ll,jj_Nb_New,Up,Down)
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
       implicit none
     
@@ -1699,5 +1752,8 @@
 
    subroutine Gather_field_u(field_loc,field_glo,ll)
-   USE dimensions_mod, ONLY: iim, jjm, llm, ndm   implicit none
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   implicit none
      integer :: ll
      real :: field_loc(ijb_u:ije_u,ll)
@@ -1721,5 +1777,8 @@
         
    subroutine Gather_field_v(field_loc,field_glo,ll)
-   USE dimensions_mod, ONLY: iim, jjm, llm, ndm   implicit none
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   implicit none
      integer :: ll
      real :: field_loc(ijb_v:ije_v,ll)
@@ -1748,5 +1807,8 @@
      
    subroutine Scatter_field_u(field_glo,field_loc,ll)
-   USE dimensions_mod, ONLY: iim, jjm, llm, ndm   implicit none
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   implicit none
      integer :: ll
      real :: field_glo(ip1jmp1,ll)
@@ -1781,5 +1843,8 @@
 
    subroutine Scatter_field_v(field_glo,field_loc,ll)
-   USE dimensions_mod, ONLY: iim, jjm, llm, ndm   implicit none
+   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   implicit none
      integer :: ll
      real :: field_glo(ip1jmp1,ll)
Index: LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90	(revision 5272)
@@ -41,8 +41,10 @@
 
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-IMPLICIT NONE
-
-
-     INCLUDE "paramet.h"
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+IMPLICIT NONE
+
+
+
      INCLUDE 'comgeom.h'
 
@@ -135,7 +137,9 @@
      USE parallel_lmdz
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-IMPLICIT NONE
-
-     include 'paramet.h'
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+IMPLICIT NONE
+
+
      CHARACTER(LEN=*)   :: name
      REAL, DIMENSION(ij_begin:ij_end) :: Field
@@ -157,7 +161,9 @@
      USE parallel_lmdz
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-IMPLICIT NONE
-
-     include 'paramet.h'
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+IMPLICIT NONE
+
+
      CHARACTER(LEN=*)   :: name
      REAL, DIMENSION(ij_begin:ij_end,llm) :: Field
@@ -191,7 +197,9 @@
      USE parallel_lmdz
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-IMPLICIT NONE
-
-     include 'paramet.h'
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+IMPLICIT NONE
+
+
      CHARACTER(LEN=*)   :: name
      REAL, DIMENSION(ij_begin:ij_end) :: Field
@@ -222,7 +230,9 @@
      USE parallel_lmdz
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-IMPLICIT NONE
-
-     include 'paramet.h'
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+IMPLICIT NONE
+
+
      CHARACTER(LEN=*)   :: name
      REAL, DIMENSION(ij_begin:ij_end,llm) :: Field
Index: LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5272)
@@ -12,8 +12,10 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   INTEGER :: klevel
Index: LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90	(revision 5272)
@@ -11,8 +11,10 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   INTEGER :: klevel
Index: LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5272)
@@ -19,8 +19,10 @@
   USE nxgraro2_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comdissipn.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/nxgraro2_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgraro2_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgraro2_mod.f90	(revision 5272)
@@ -11,5 +11,6 @@
   USE allocate_field_mod
   USE parallel_lmdz
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  IMPLICIT NONE
     TYPE(distrib),POINTER :: d
     d=>distrib_dissip
Index: LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90	(revision 5272)
@@ -86,7 +86,9 @@
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-      INCLUDE "paramet.h"
+
       INCLUDE "iniprint.h"
 
@@ -246,7 +248,9 @@
     SUBROUTINE create_distrib(jj_nb_new,d)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-      INCLUDE "paramet.h"
+
       
       INTEGER,INTENT(IN) :: jj_Nb_New(0:MPI_Size-1)
@@ -298,8 +302,10 @@
     SUBROUTINE Set_Distrib(d)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-    INCLUDE "paramet.h"
+
     TYPE(distrib),INTENT(IN) :: d
 
@@ -335,8 +341,10 @@
     SUBROUTINE copy_distrib(dist,new_dist)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-    INCLUDE "paramet.h"
+
     TYPE(distrib),INTENT(INOUT) :: dist
     TYPE(distrib),INTENT(IN) :: new_dist
@@ -373,8 +381,10 @@
     SUBROUTINE get_current_distrib(d)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
 
-    INCLUDE "paramet.h"
+
     TYPE(distrib),INTENT(OUT) :: d
 
@@ -389,4 +399,6 @@
     USE control_mod, only : ok_dyn_xios
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 
 #ifdef CPP_COUPLE
@@ -406,7 +418,4 @@
 #endif
 ! #endif of #ifdef CPP_EARTH
-
-      include "paramet.h"
-
       integer :: ierr
       integer :: i
@@ -453,8 +462,10 @@
     subroutine Pack_Data(Field,ij,ll,row,Buffer)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
 
-      INCLUDE "paramet.h"
+
 
       integer, intent(in) :: ij,ll,row
@@ -477,8 +488,10 @@
     subroutine Unpack_Data(Field,ij,ll,row,Buffer)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
 
-      INCLUDE "paramet.h"
+
 
       integer, intent(in) :: ij,ll,row
@@ -517,7 +530,9 @@
     USE Vampir
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-      INCLUDE "paramet.h"    
+
       INTEGER :: ij,ll
       REAL, dimension(ij,ll) :: Field
@@ -635,7 +650,9 @@
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-    INCLUDE "paramet.h" 
+
     INCLUDE "iniprint.h"
       INTEGER :: ij,ll,rank
@@ -716,7 +733,9 @@
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-    INCLUDE "paramet.h"    
+
       INTEGER :: ij,ll
       REAL, dimension(ij,ll) :: Field
@@ -735,7 +754,9 @@
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-    INCLUDE "paramet.h"    
+
       INTEGER :: ij,ll
       REAL, dimension(ij,ll) :: Field
@@ -756,7 +777,9 @@
 !    USE lmdz_mpi
 !    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-implicit none
+!    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+!          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+!implicit none
 !
-!      INCLUDE "paramet.h"    
+!
 !    
 !      INTEGER :: ij,ll
Index: LMDZ6/trunk/libf/dyn3dmem/paramet.h
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/paramet.h	(revision 5271)
+++ 	(revision )
@@ -1,29 +1,0 @@
-!
-! $Id$
-!
-!
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
-!                 veillez  n'utiliser que des ! pour les commentaires
-!                 et  bien positionner les & des lignes de continuation
-!                 (les placer en colonne 6 et en colonne 73)
-!
-!
-!-----------------------------------------------------------------------
-!   INCLUDE 'paramet.h'
-
-      INTEGER  iip1,iip2,iip3,jjp1,llmp1,llmp2,llmm1
-      INTEGER  kftd,ip1jm,ip1jmp1,ip1jmi1,ijp1llm
-      INTEGER  ijmllm,mvar
-      INTEGER jcfil,jcfllm
-
-      PARAMETER( iip1= iim+1-1/iim,iip2=iim+2,iip3=iim+3                &
-     &    ,jjp1=jjm+1-1/jjm)
-      PARAMETER( llmp1 = llm+1,  llmp2 = llm+2, llmm1 = llm-1 )
-      PARAMETER( kftd  = iim/2 -ndm )
-      PARAMETER( ip1jm  = iip1*jjm,  ip1jmp1= iip1*jjp1 )
-      PARAMETER( ip1jmi1= ip1jm - iip1 )
-      PARAMETER( ijp1llm= ip1jmp1 * llm, ijmllm= ip1jm * llm )
-      PARAMETER( mvar= ip1jmp1*( 2*llm+1) + ijmllm )
-      PARAMETER( jcfil=jjm/2+5, jcfllm=jcfil*llm )
-
-!-----------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3dmem/paramet_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/paramet_mod_h.f90	(revision 5272)
+++ LMDZ6/trunk/libf/dyn3dmem/paramet_mod_h.f90	(revision 5272)
@@ -0,0 +1,21 @@
+MODULE paramet_mod_h
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+
+  IMPLICIT NONE; PRIVATE
+  PUBLIC iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+
+  INTEGER  iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1
+  INTEGER  kftd, ip1jm, ip1jmp1, ip1jmi1, ijp1llm
+  INTEGER  ijmllm, mvar
+  INTEGER jcfil, jcfllm
+
+  PARAMETER(iip1 = iim + 1 - 1 / iim, iip2 = iim + 2, iip3 = iim + 3, jjp1 = jjm + 1 - 1 / jjm)
+  PARAMETER(llmp1 = llm + 1, llmp2 = llm + 2, llmm1 = llm - 1)
+  PARAMETER(kftd = iim / 2 - ndm)
+  PARAMETER(ip1jm = iip1 * jjm, ip1jmp1 = iip1 * jjp1)
+  PARAMETER(ip1jmi1 = ip1jm - iip1)
+  PARAMETER(ijp1llm = ip1jmp1 * llm, ijmllm = ip1jm * llm)
+  PARAMETER(mvar = ip1jmp1 * (2 * llm + 1) + ijmllm)
+  PARAMETER(jcfil = jjm / 2 + 5, jcfllm = jcfil * llm)
+END MODULE paramet_mod_h
Index: LMDZ6/trunk/libf/dyn3dmem/pression_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/pression_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/pression_loc.f90	(revision 5272)
@@ -13,8 +13,10 @@
   !
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   !
   INTEGER,INTENT(IN) :: ngrid ! not used
Index: LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90	(revision 5272)
@@ -8,4 +8,6 @@
   USE strings_mod, ONLY: strIdx
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT none
   !
@@ -14,5 +16,5 @@
   !
 
-  include "paramet.h"
+
   include "iniprint.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5272)
@@ -12,8 +12,10 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90	(revision 5272)
@@ -12,8 +12,10 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90	(revision 5272)
@@ -13,8 +13,10 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   INCLUDE "comgeom.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5272)
@@ -31,4 +31,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !-----------------------------------------------------------------------
@@ -37,5 +39,5 @@
 
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/times.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/times.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/times.f90	(revision 5272)
@@ -27,7 +27,9 @@
     USE parallel_lmdz
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-    INCLUDE "paramet.h"
+
     
     max_size=jjm+1
Index: LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5272)
@@ -9,8 +9,10 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  include "paramet.h"
+
   include "comgeom2.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90	(revision 5272)
@@ -8,7 +8,9 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom.h"
 !===============================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/vitvert_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vitvert_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/vitvert_loc.f90	(revision 5272)
@@ -9,7 +9,9 @@
   
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
 !===============================================================================
 ! Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5272)
@@ -17,8 +17,10 @@
         min_qParent,min_qMass,min_ratio ! MVals et CRisi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  include "paramet.h"
+
   include "iniprint.h"
   !
@@ -420,8 +422,10 @@
   USE comconst_mod, ONLY: pi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  include "paramet.h"
+
   include "comgeom.h"
   !
@@ -889,8 +893,10 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  include "paramet.h"
+
   include "iniprint.h"
   !
Index: LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5272)
@@ -35,9 +35,11 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
   !
 
-  include "paramet.h"
+
 
   !
Index: LMDZ6/trunk/libf/dyn3dmem/vlspltgen_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlspltgen_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/vlspltgen_mod.f90	(revision 5272)
@@ -17,7 +17,9 @@
   USE vlz_mod,ONLY : vlz_allocate 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  INCLUDE "paramet.h"
+
   TYPE(distrib),POINTER :: d
     
Index: LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5272)
@@ -15,8 +15,10 @@
         min_qParent,min_qMass,min_ratio ! MVals et CRisi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  include "paramet.h"
+
   !
   !
@@ -425,8 +427,10 @@
   USE comconst_mod, ONLY: pi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dyn3dmem/vlz_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlz_mod.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/vlz_mod.f90	(revision 5272)
@@ -15,5 +15,6 @@
   USE parallel_lmdz
   USE infotrac
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  IMPLICIT NONE
   TYPE(distrib),POINTER :: d
     
Index: LMDZ6/trunk/libf/dyn3dmem/write_field_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/write_field_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/write_field_loc.f90	(revision 5272)
@@ -38,7 +38,9 @@
     USE mod_hallo
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-    include 'paramet.h'
+
       
     character(len=*)   :: name
@@ -104,7 +106,9 @@
     USE mod_hallo
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
-    include 'paramet.h'
+
       
     character(len=*)   :: name
Index: LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5272)
@@ -15,4 +15,6 @@
       
       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 !
@@ -36,5 +38,5 @@
 !   Declarations
 
-      include "paramet.h"
+
       include "comgeom.h"
       include "description.h"
Index: LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5272)
@@ -16,4 +16,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
@@ -45,5 +47,5 @@
   !   Declarations
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "description.h"
Index: LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5272)
@@ -16,4 +16,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 implicit none
 
@@ -45,5 +47,5 @@
   !   Declarations
 
-  include "paramet.h"
+
   include "comgeom.h"
   include "description.h"
